package com.gic.store.web.qo.storefield;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @author guojx
 * @date 2019/7/1 3:54 PM
 */
public class StoreFieldSelectQO implements Serializable{
    private static final long serialVersionUID = -6020468544326658511L;

    public interface SaveValidView {
    }

    /**
     *
     */
    private Integer storeFieldSelectId;

    /**
     * 属性名称
     */
    @NotBlank(message = "属性值名称不能为空", groups = {SaveValidView.class})
    private String storeFieldSelectName;

    /**
     * 属性code
     */
    @NotBlank(message = "属性值code不能为空", groups = {SaveValidView.class})
    private String storeFieldSelectCode;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     *
     */
    private Integer sort;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 自定义属性字段ID
     */
    @NotNull(message = "字段值不能为空", groups = {SaveValidView.class})
    private Integer storeFieldId;

    public Integer getStoreFieldSelectId() {
        return storeFieldSelectId;
    }

    public void setStoreFieldSelectId(Integer storeFieldSelectId) {
        this.storeFieldSelectId = storeFieldSelectId;
    }

    public String getStoreFieldSelectName() {
        return storeFieldSelectName;
    }

    public void setStoreFieldSelectName(String storeFieldSelectName) {
        this.storeFieldSelectName = storeFieldSelectName;
    }

    public String getStoreFieldSelectCode() {
        return storeFieldSelectCode;
    }

    public void setStoreFieldSelectCode(String storeFieldSelectCode) {
        this.storeFieldSelectCode = storeFieldSelectCode;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }
}
