package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreFieldSelectDTO;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public interface StoreFieldSelectApiService {


    /**
     * 新增
     * @param storeFieldSelectDTO
     * @return 主键ID
     */
    ServiceResponse<Integer> save(StoreFieldSelectDTO storeFieldSelectDTO);

    /**
     * 上下移动
     * @param storeFieldSelectId
     * @param isUp 向上
     * @return
     */
    ServiceResponse<Integer> upOrDown(int storeFieldSelectId, boolean isUp);


    /**
     * 置顶、置底，自定义序号
     * @param storeFieldSelectId
     * @param storeFieldId
     * @param setValue
     * @return
     */
    ServiceResponse<Integer> setStoreFieldSelectSort(int storeFieldSelectId, int storeFieldId, int setValue);

    ServiceResponse<Integer> delete(int storeFieldSelectId);

    ServiceResponse<Integer> edit(StoreFieldSelectDTO storeFieldSelectDTO);

}
