package com.gic.store.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.store.dao.mapper.TabStoreFieldMapper;
import com.gic.store.dto.StoreFieldDTO;
import com.gic.store.entity.TabStoreField;
import com.gic.store.service.StoreFieldService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author guojx
 * @date 2019/7/1 9:13 AM
 */
@Service("storeFieldService")
public class StoreFieldServiceImpl implements StoreFieldService{
    @Autowired
    private TabStoreFieldMapper tabStoreFieldMapper;
    @Override
    public int save(StoreFieldDTO storeFieldDTO) {
        return tabStoreFieldMapper.insert(EntityUtil.changeEntityNew(TabStoreField.class, storeFieldDTO));
    }

    @Override
    public boolean isStoreFieldCodeRepeat(String storeFieldCode, int enterpriseId) {
        return false;
    }
}
